﻿if (window.jQuery) {
    (function ($) {
        $(document).ready(function () {
            if (typeof (Page_Validators) == 'undefined') return;
            $('#EntityFormPanel').css('border', 'none');

            
                $('.actions').css({
                    'display': 'flex',
                    'justify-content': 'center',
                    'align-items': 'center',
                    'height': '2vh'
                });
          
            
            
           // avweb_ContactUS_Placeholder();
            // Create a new validator for the date field
            var dateValidator = document.createElement('span');
            dateValidator.style.display = "none"; // Initially hidden
            dateValidator.id = "avweb_whenithappenedValidator";
            dateValidator.controltovalidate = "avweb_whenithappened_datepicker_description";
            dateValidator.errormessage = "<a href='#avweb_whenithappened_datepicker_description_label' referencecontrolid='avweb_whenithappened_datepicker_description' onclick='javascript:scrollToAndFocus(\"avweb_whenithappened_datepicker_description_label\",\"avweb_whenithappened_datepicker_description\");return false;'>The date is after the latest one allowed.</a>";
            dateValidator.validationGroup = ""; // Set this if your form uses ValidationGroup
            dateValidator.initialvalue = "";

            // Custom evaluation function for future date validation
            dateValidator.evaluationfunction = function () {
                const today = new Date();
                today.setHours(0, 0, 0, 0); // Start of the current day


                // Get the entered date from the date field
                const dateInput = $("#avweb_whenithappened_datepicker_description").val();

                if (!dateInput) {
                    // Skip validation if no date is entered (assume it's handled elsewhere)
                    return true;
                }

const [day, month, year] = dateInput.split('-');

// Create a Date object using the year, month (0-indexed), and day
const enteredDate = new Date(parseInt(year), parseInt(month) - 1, parseInt(day)); 



            
                if (isNaN(enteredDate.getTime())) {
                    // Invalid date format
                    return false;
                }

                // Return false if the entered date is in the future
                return enteredDate <= today;
            };

            // Add the new validator to the Page_Validators array
            Page_Validators.push(dateValidator);

            // Implement scrollToAndFocus function
            window.scrollToAndFocus = function (labelId, inputId) {
                // Scroll to the input field
                const labelElement = document.getElementById(labelId);
                const inputElement = document.getElementById(inputId);

                if (labelElement) {
                    labelElement.scrollIntoView({ behavior: "smooth", block: "center" });
                }

                // Focus on the input field
                if (inputElement) {
                    inputElement.focus();
                }
            };
        });
    })(window.jQuery);
}

/*
function avweb_ContactUS_Placeholder(){
    $("#avweb_feedbacktype").attr("placeholder", "Feedback Type *");
    $("#avweb_firstname").attr("placeholder", "First name *");
    $("#avweb_lastname").attr("placeholder", "Last name *");
    $("#avweb_emailaddress").attr("placeholder", "Email address *");
    $("#avweb_phone").attr("placeholder", "Phone *");
    $("#avweb_postcode").attr("placeholder", "Post Code");
    $("#avweb_name").attr("placeholder", "Patient's Name *");
    $("#avweb_whenithappened_datepicker_description").attr("placeholder", "When it happened");
    $("#avweb_addressofambulanceattendance").attr("placeholder", "Address of ambulance attendance *");
    $("#avweb_pleaseshareyourexperienceindetail").attr("placeholder", "Please share your experience in detail *");
}
*/